> For the complete documentation index, see [llms.txt](https://docs.blockrazor.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockrazor.io/transaction-submission/block-builder/trace-bundle.md).

# BSC Block Builder Trace Bundle API Reference

Use the BlockRazor BSC Block Builder Trace Bundle API. Review the endpoint, parameters, request format, response fields, and integration example.

### Introduction

This method supports querying the current status of the bundle by bundle hash. Please query 5 minutes after sending the bundle to the builder. Endpoint: <https://bsc-bundle-stats.blockrazor.io/>

### Price

{% hint style="info" %}
Users who purchase the Trace Bundle service can also access the [Bundle Explorer](/transaction-submission/block-builder/bundle-explorer.md) in the portal.
{% endhint %}

<table><thead><tr><th width="131.859375">User Type</th><th width="179.0234375">Limit</th><th>Price</th><th>Action</th></tr></thead><tbody><tr><td>Paid User</td><td>1000 txs / day</td><td>$150 / day<br>$1500 / month</td><td><a href="https://blockrazor.io/#/login?redirect=pricing&#x26;purchaseMode=personalized&#x26;chain=bsc&#x26;serviceId=bsc_bundle_tracing&#x26;billing=day" class="button primary small">Subscribe</a></td></tr></tbody></table>

### Request Parameter

<table><thead><tr><th width="156">Parameters</th><th width="124">Mandatory</th><th width="122">Format</th><th>Example</th><th>Description</th></tr></thead><tbody><tr><td>hash</td><td>Mandatory</td><td>hash</td><td>0x25f9……317097</td><td>bundle hash</td></tr></tbody></table>

### Request Example

{% tabs %}
{% tab title="HTTPS" %}

```json
curl -X GET "https://bsc-bundle-stats.blockrazor.io/bundlestate?hash=0x25f9fc35e978709195c00e864b9a19fb41ad5c5c5b8a3e003813ae9727317097" \
     -H "Content-Type: application/json" \
     -H "Authorization: M2ZiZj……JhODA1"‍
```

{% endtab %}
{% endtabs %}

### Response Example

**Success**

```json
{
  "bundle": {
    "timestamp": "2025-04-07T09:04:40Z", // The time when the builder receives the bundle (UTC)
    "bundleHash": "0x25f9fc35e978709195c00e864b9a19fb41ad5c5c5b8a3e003813ae9727317097", // bundle hash
    "state": "onchain", // bundle is included on chain
    "blockNumber": 48144954, // The block number where the bundle is located
    "priority": "358911000000000" // bundle value, in wei
  }
}
```

**Error**

```json
{
  "bundle": {
    "timestamp": "2025-04-08T05:21:10Z", // The time when the builder receives the bundle (UTC)
    "bundleHash": "0xe06a923bce1f46b2a0602b8fb2263dffde22f21277b0b71d84b79aff6a58772b", // bundle hash
    "state": "failed", // builder has received bundle，but the bundle is not included
    "err": "non-reverting tx in bundle failed" // reason why the bundle is not included
  }
}
```

```json
{
  "bundle": {
    "bundleHash": "0xabc", // bundle hash in the request
    "state": "not found" // bundle is not found
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.blockrazor.io/transaction-submission/block-builder/trace-bundle.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
